## Test Case ID: [TC-XXX]

**Title:** [Brief descriptive title of the test case]

**Priority:** [High/Medium/Low]

**Test Type:** End-to-End

**Created By:** [Name]

**Created Date:** [YYYY-MM-DD]

**Modified By:** [Name]

**Modified Date:** [YYYY-MM-DD]

### Pre-conditions:
- [List any necessary setup conditions before running the test]
- [Example: User is logged in, Browser is Chrome v120+]

### Test Steps:
1. [Clear step-by-step instructions]
2. [Example: Navigate to the to-do app homepage]
3. [Example: Click on the "Add New Task" button]
4. [Example: Enter task title "Buy groceries"]
5. [Example: Click "Save" button]

### Expected Results:
- [Expected outcome for each test step where applicable]
- [Example: New task "Buy groceries" appears in the to-do list]
- [Example: Task counter increments by 1]

### Post-conditions:
- [State of the system after test execution]
- [Example: Task is saved in the database]

### Test Data:
- [Input data required for the test]
- [Example: Task title: "Buy groceries", Priority: High]

### Notes:
- [Any additional information, edge cases, or considerations]

### Test Execution:
- **Status:** [Not Run/Pass/Fail/Blocked]
- **Executed By:** [Name]
- **Execution Date:** [YYYY-MM-DD]
- **Environment:** [Dev/QA/Staging]
- **Browser/Device:** [Browser name and version/device details]

### Attachments:
- [Screenshots/videos if applicable]
